=== modified file 'src/django_nova/templates/django_nova/base.html'
--- src/django_nova/templates/django_nova/base.html	2011-01-17 06:58:19 +0000
+++ src/django_nova/templates/django_nova/base.html	2011-01-18 21:53:47 +0000
@@ -51,20 +51,22 @@
                    title="Manage User Roles">Manage Project</a>
                 {% endif %}
               </h4>
-              <ul>
-                <li {% if p.projectname == project.projectname and sidebar_selected == "instances" %}class="active"{% endif %}>
-                  <a id="lnk_instances_{{p.projectname}}" href="{% url nova_instances p.projectname %}">Instances</a>
-                </li>
-                <li {% if p.projectname == project.projectname and sidebar_selected == "images" %}class="active"{% endif %}>
-                  <a id="lnk_images_{{p.projectname}}" href="{% url nova_images p.projectname %}">Images</a>
-                </li>
-                <li {% if p.projectname == project.projectname and sidebar_selected == "keys" %}class="active"{% endif %}>
-                  <a id="lnk_keypairs_{{p.projectname}}" href="{% url nova_keypairs p.projectname %}">Keys</a>
-                </li>
-                <li {% if p.projectname == project.projectname and sidebar_selected == "volumes" %}class="active"{% endif %}>
-                  <a id="lnk_volumes_{{p.projectname}}" href="{% url nova_volumes p.projectname %}">Volumes</a>
-                </li>
-              </ul>
+              {% if project.projectname == p.projectname %}
+                <ul>
+                  <li {% if p.projectname == project.projectname and sidebar_selected == "instances" %}class="active"{% endif %}>
+                    <a id="lnk_instances_{{p.projectname}}" href="{% url nova_instances p.projectname %}">Instances</a>
+                  </li>
+                  <li {% if p.projectname == project.projectname and sidebar_selected == "images" %}class="active"{% endif %}>
+                    <a id="lnk_images_{{p.projectname}}" href="{% url nova_images p.projectname %}">Images</a>
+                  </li>
+                  <li {% if p.projectname == project.projectname and sidebar_selected == "keys" %}class="active"{% endif %}>
+                    <a id="lnk_keypairs_{{p.projectname}}" href="{% url nova_keypairs p.projectname %}">Keys</a>
+                  </li>
+                  <li {% if p.projectname == project.projectname and sidebar_selected == "volumes" %}class="active"{% endif %}>
+                    <a id="lnk_volumes_{{p.projectname}}" href="{% url nova_volumes p.projectname %}">Volumes</a>
+                  </li>
+                </ul>              
+              {% endif %}
             </div>
           {% endfor %}
         </div>

